Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/master-build.sh')
-rw-r--r--scripts/master-build.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/scripts/master-build.sh b/scripts/master-build.sh
index 727192001..1463bd161 100644
--- a/scripts/master-build.sh
+++ b/scripts/master-build.sh
@@ -88,17 +88,18 @@ checkForErrorExit $? "Error occurred while getting aggregator"
$SCRIPT_PATH/update-build-input.sh $BUILD_ENV_FILE 2>&1 | tee $logsDirectory/update-build-input-ouptut.txt
checkForErrorExit $? "Error occurred while updating build input"
-#if [[ $BUILD_ID =~ [IN] ]]
-#then
-# temp hack for bug 398141
+if [[ $BUILD_ID =~ [IN] ]]
+then
+# temp hack for bug 398141 and others
# apply the pre-created patch from tempPatches
#echo "INFO: apply temp patch"
#echo "DEBUG: aggDir: $aggDir"
#echo "DEBUG: pwd: $PWD"
#patch -p1 --backup -d $aggDir/rt.equinox.bundles/bundles -i $aggDir/scripts/tempPatches/sbep2.patch
#patch -p1 --backup -d $aggDir/eclipse.platform.ui/features -i $aggDir/scripts/tempPatches/e4rcpsource.patch
-#checkForErrorExit $? "Error occurred applying patch"
-#fi
+patch -p1 --backup -d $aggDir/rt.equinox.framework/bundles -i $aggDir/scripts/tempPatches/ppc.patch
+checkForErrorExit $? "Error occurred applying patch"
+fi
pushd "$aggDir"
git commit -m "Build input for build $BUILD_ID"

Back to the top